Vraag & Antwoord

OS Linux

Printen met foomatic, cups, etc...

Anoniem
None
27 antwoorden
  • [quote:dd0d67fdf6="water"]Om maar weer eens lekker verder te babbelen: ik heb toch maar mooi mijn Canon i455 met CUPS en orginele Canon-drivers aan de gang.[/quote:dd0d67fdf6]Kun je misschien een tipje van de sluier oplichten, want ik heb een Canon I550 die ik onder Slackware 9.1 aan de praat wil krijgen.
  • Bamboe, heb je de Gentoo printing guide wel eens geprobeerd? Ik zou juist wel foomatic-hpijs installeren (zaken hercompileren is met een HP niet nodig) en vervolgens kun je dan met foomatic-configure aangeven dat je hpijs als driver wilt gebruiken, maar dat vind je dus ook in de printing guide. Een behoorlijk goed en duidelijk document moet ik zeggen.
  • Ja kijk, met hpijs doet hij het dus meestal wel goed… maar het nadeel is dat het veel trager gaat dan postscript, en ook dat de kwaliteit minder is. Vooral grijswaarden komen er beter uit als ik via postscript afdrukt (enfin, als dat lukt tenminste…)
  • Ik heb Slackware 9.1 geinstalleerd, met de Dropline-Gnome desktop. Cups is ingesteld en werkt met de reguliere applicaties. Maar niet met Mozilla.
    Om Mozilla zo ver te krijgen dat'ie ook van mijn HP laserjet 2200D gebruik maakt heb ik het volgende gedaan:
    Ga in Mozilla naar het menu File - Print. Klik naast "Postscript/default" op Properties. Er verschijnt een nieuw venster met het "Print Command" veld. Verander lpr in lpr-cups.

    lpr ${MOZ_PRINTER_NAME:+'-P'}${MOZ_PRINTER_NAME}

    Verander dat zodanig dat de tekst van de volgende regel er staat:

    lpr-cups ${MOZ_PRINTER_NAME:+'-P'}${MOZ_PRINTER_NAME}

    Klik OK en druk af.

    Greetz, dJezzer 8)
  • Djezzer, dat is niet nodig bij mij omdat lpr al een symbolic link is naar lpr-cups. Het is enkel als je ook ander print systemen geinstalleerd hebt (lprng ofzo), dat je conflicten kunt hebben en dan moet je ofwel lpr-cups gebruiken ofwel zelf de symbolic links maken
  • Heb bij een verse slackware 10.0 RC1 install (was wel eens nodig) ineens het goeie ouwe APSfilter ipv CUPS geinstalleerd. APSfilter heeft een ingebouwde driver voor m'n laserjet, en het ding schijt nu hoge kwaliteitsafdrukken aan recordsnelheid. Probleem opgelost: awoe CUPS, leve APSfilter!
  • Status update: (misschien handig voor mensen die ook lopen te knoeien met hun laserjet)
    Op www.linuxprinting.org is nu een goeie manufacturer-provided PPD te downloaden voor de laserjets.
    Met die PPD werkt hij bij mij eindelijk perfect onder cups.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.